# Generate hooks

This program generates hooks.html documentation from the Hubzilla source.

## Usage

Download and install leiningen

Change directory into  hubzilla/util/generate-hooks-index

At shell prompt, do:

```sh
lein run
```

Hooks docs will get dumped into hubzilla/doc/hooks.html

## Requirements

* JVM like OpenJDK etc

* [Leiningen](http://leiningen.org/)

## License

Copyright © 2015 ken restivo (ken@restivo.org)

Distributed under the Eclipse Public License either version 1.0 or (at
your option) any later version.
